PWM(1)

NAME
PWM - An X11 window manager

SYNOPSIS
pwm3 [options]

DESCRIPTION
The original PWM was the first tabbing window manager. This version of PWM is based on the code of Ion and is actually exactly the same window manager with only differences in default configuration files, configuration file lookup paths and some options.

OPTIONS

-display host:display.screen
    X display to manage

-conffile configfile
    Configuration file to use instead of default

-searchdir dir
    Directory to search for configuration files and other scripts

-oneroot
    On X servers with multiple (traditional non-Xinerama) screens, manage only default screen (root window), not all, as given by the -display option or in the DISPLAY environment variable.

-session session_name
    Set session name. This option affects where workspace and other save files are put (~/.pwm3/session_name if option set).

-help
    Show help on command line options

-version
    Show version

-about
    Show about text (version, author, license)

BINDINGS
These are the default key and pointer bindings. (Mod1) depends on your system. On PC:s with XFree86 it is probably bound to the left Alt key (Alt_L). On Suns it is usually bound to the diamond keys (Meta_L, Meta_R). Use xmodmap(1x) to find out. The string in square brackets after a binding group heading below indicates the module that whose configuration file defines these bindings.

  Globally available bindings

Mod1+1, Mod1+2, Mod1+3, Mod1+4, Mod1+5, Mod1+6, Mod1+7, Mod1+8, Mod1+9, Mod1+0
    Switch to n:th object (workspace, full screen client window) within current screen.

Mod1+comma, Mod1+period
    Switch to next/previous object within current screen.

Mod1+K K
    Go to first region demanding attention or previously active one.

Mod1+K T
    Clear all tags.

Mod1+Shift+1, Mod1+Shift+2
    Go to n:th screen on multihead setup.

Mod1+Shift+comma, Mod1+Shift+period
    Go to next/previous screen on multihead setup.

Mod1+F9
    Create a new workspace of chosen default type.

Button3 press
    Display the main menu.

Button2 press
    Display the window list menu.

Mod1+Tab
    Forward-circulate focus.

Mod1+K Tab
    Backward-circulate focus.

Mod1+K R
    Raise focused object, if possible.

F12 Display the main menu.

  Bindings operating on all frames and screens and their children

Mod1+C
    Close current object.

  Bindings operating on all frames and their children

Mod1+K H, Mod1+K V
    Maximize the frame horizontally/vertically.

Button3 press
    Display context menu.

Mod1+R
    Begin move/resize mode.

Button1 click at tab, Button2 click at tab
    Switch the frame to display the object indicated by the tab.

Button1 drag at border, Mod1+Button3 drag
    Resize the frame.

Mod1+Button1 drag
    Move the frame.

Button1 drag at tab, Button2 drag at tab
    Move objects between frames by dragging and dropping the tab.

Button1 double click at tab
    Toggle shade mode

Button1 press at tab, Button1 press at border, Mod1+Button1 click
    Raise the frame.

Mod1+Button3 click
    Lower the frame.

Button1 drag at tab
    Move the frame.

  Bindings operating on top-level (non-transient) frames as well as screens

Mod1+T
    Toggle tag of current object.

F2  Run a terminal emulator.

Mod1+K D
    Detach (float) or reattach an object to its previous location.

Mod1+F1
    Show the PWM manual page.

Mod1+M
    Display context menu.

  Bindings operating on top-level (non-transient) frames

Mod1+K 1, Mod1+K 2, Mod1+K 3, Mod1+K 4, Mod1+K 5, Mod1+K 6, Mod1+K 7, Mod1+K 8, Mod1+K 9, Mod1+K 0
    Switch to n:th object within the frame.

Mod1+K N, Mod1+K P
    Switch to next/previous object within the frame.

Mod1+K comma, Mod1+K period
    Move current object within the frame left/right.

Mod1+K H, Mod1+K V
    Maximize the frame horizontally/vertically.

Mod1+K A
    Attach tagged objects to this frame.

  Bindings for client windows

Mod1+L
    Nudge the client window. This might help with some programs' resizing problems.

Mod1+K C
    Kill client owning the client window.

Mod1+K Q
    Send next key press to the client window. Some programs may not allow this by default.

Mod1+Return
    Toggle client window group full-screen mode

  Move/resize mode bindings

Escape
    Cancel the resize mode.

Return
    End the resize mode.

Left, Right, Up, Down, F, B, P, N
    Grow in specified direction.

Shift+Left, Shift+Right, Shift+Up, Shift+Down, Shift+F, Shift+B, Shift+P, Shift+N
    Shrink in specified direction.

Mod1+Left, Mod1+Right, Mod1+Up, Mod1+Down, Mod1+F, Mod1+B, Mod1+P, Mod1+N
    Move in specified direction.

  Bindings for menus [mod_menu]

Escape, Control+G, Control+C, Left
    Close the menu.

Return, KP_Enter, Control+M, Right
    Activate current menu entry.

Control+N, Control+P, Up, Down
    Select next/previous menu entry.

BackSpace
    Clear the menu's typeahead find buffer.

FILES AND DIRECTORIES

/etc/ion3/cfg_pwm.lua
    System default main configuration file

/etc/ion3/cfg_*.lua
    Other configuration files

/etc/ion3/look_*.lua
    Colour scheme configuration files

~/.pwm3/
    User configuration files

~/.pwm3/cfg_pwm.lua
    User default main configuration file (overrides system default)

SEE ALSO
For more information, see ion3(1).

AUTHOR
Both PWM and Ion have been written by Tuomo Valkonen <tuomov at iki.fi>.